Skip to content
Twexapi
English
Esc
navigateopen⌘Jpreview

Get Twitter User About by Screen Name

Get Twitter User About for a specific twitter user. get account_based_in,location_accurate

Back to API Reference
/Twitter User About Endpoints
GET/twitter/{screen_name}/about
Authorization
AuthorizationBearer token · headerrequired
Global API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Path Parameters
screen_namestringrequired
The screen name of the twitter user to get about.
Responses
200The Twitter User About object with its information.
codeinteger
HTTP status code
default: 200
msgstring
Response message
default: "success"
dataTwitterUserAboutResponse | any
Twitter User About data
Show properties
Any of:
TwitterUserAboutResponse
user_idstringrequired
Twitter user ID
avatarstringrequired
Profile avatar image URL
namestringrequired
User display name
screen_namestringrequired
Twitter username (handle)
created_atstringrequired
Account creation date in Twitter format
profile_image_shapestringrequired
Profile image shape (e.g., Circle, Square)
verificationbooleanrequired
Whether the user account is verified
userLabelDisplayTypestringrequired
User label display type (e.g., Badge)
userLabelTypestringrequired
User label type (e.g., BusinessLabel)
is_blue_verifiedbooleanrequired
Whether the user has blue verification badge (Twitter Blue/X Premium)
privacy_policy_urlstringrequired
Privacy policy or learn more URL
account_based_instringrequired
Country or region where the account is based
location_accuratebooleanrequired
Whether the location information is accurate
affiliate_usernamestringrequired
Affiliated username (e.g., business account username)
sourcestringrequired
Source of account creation (e.g., 'United States App Store')
username_changes_countintegerrequired
Number of times the username has been changed
override_verified_yearintegerrequired
Override verified year (if applicable, negative values indicate special cases)
verified_since_msecintegerrequired
Timestamp in milliseconds when the account was verified (negative values indicate special cases)
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Interactive ConsoleGET
Interactive Console / Try APIGET
Live Console
🌐Target Server:https://api.twexapi.io
● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)

This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.

🔑API Authorization
⚙️Parameters (1)
📡
No Response Yet

Configure parameters in the Request tab and click Send Request below.

Request
curl -X GET "https://api.twexapi.io/twitter/e/about" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "code": 200,
  "msg": "success",
  "data": {
    "user_id": "44196397",
    "avatar": "https://pbs.twimg.com/profile_images/1983681414370619392/oTT3nm5Z_normal.jpg",
    "name": "Elon Musk",
    "screen_name": "elonmusk",
    "created_at": "Tue Jun 02 20:12:29 +0000 2009",
    "profile_image_shape": "Circle",
    "verification": false,
    "userLabelDisplayType": "Badge",
    "userLabelType": "BusinessLabel",
    "is_blue_verified": true,
    "privacy_policy_url": "https://help.twitter.com/managing-your-account/about-twitter-verified-accounts",
    "account_based_in": "United States",
    "location_accurate": true,
    "affiliate_username": "X",
    "source": "United States App Store",
    "username_changes_count": 0,
    "override_verified_year": -3000,
    "verified_since_msec": -156836000000000
  }
}